BOTCH-Y-U-B-D-TRANSITIVE-ESSENTIAL(1)

NAME
botch-y-u-b-d-transitive-essential - Find out why source packages are B-D transitive essential.

SYNOPSIS

botch-y-u-b-d-transitive-essential [options] architecture Packages Sources [pkgname]

DESCRIPTION
Find the reasons why source packages are B-D transitive essential. Assumes that Architecture:all packages need not be bootstrapped. Operates on the strong dependency graph.

An optional package name as the last argument limits the output to that package.

OPTIONS

-h, --help
    Display help.

-k, --keep
    Keep the temporary files

-T, --timers
    time all program executions

-o, --output=DIR
    Output directory. Default is the current directory

-t, --tmp=DIR
    Temporary directory. Default is created by mktemp(1)

-v, --verbose
    Be more verbose

-d, --debug
    Maximum verbosity

-D, --develop
    Execute tools from the source checkout instead of $PATH

EXAMPLE
To find out why src:sysvinit is b-d-transitive-essential, run:

 botch-y-u-b-d-transitive-essential amd64 Packages Sources sysvinit

Edges from installation sets to source packages (builds-from relationships) can be hard to diagnose. You can use dose-ceve to create a graph that doesn't condense binary packages to their installation sets. This has the disadvantage that also non-strong dependencies are also included.

 dose-ceve -G pkg -T dot --deb-native-arch=amd64 --deb-builds-from --deb-drop-b-d-indep deb://Packages debsrc://Sources > graph.dot
 botch-graph-shortest-path graph.dot - --source __ID__:"src:build-essential (= 12.2)" --target __ID__:"src:sysvinit (= 2.88dsf-59.8)" > out.dot
 xdot out.dot

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.